Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal
Interface SignalID

public abstract interface SignalID

This interface contains all the Signaling Codes for deciphering methods, packet types and results.

Field Summary
`static int` | `ACCEPT` Call accepted
`static int` | `ALIVEQUERY` Alive Method ID
`static int` | `BUSY` User busy
`static int` | `CONFIRM` Confirm Packet
`static int` | `CONFIRMED` Request confirmed (isAlive == true)
`static int` | `DIAL` Dial Method ID
`static int` | `HANGUP` Hangup Method ID
`static int` | `INCOMPATIBLE` Peer not compatible
`static int` | `INVALID` Peer not valid
`static int` | `INVITE` Invite Packet
`static int` | `REJECT` Call rejected
`static int` | `RESULT` Result Packet
`static int` | `SENDDTMF` SendDTMF Method ID
`static int` | `TIMEOUT` Peer not responding, timeout

Field Detail

### DIAL

    public static final int DIAL

  Dial Method ID

### HANGUP

    public static final int HANGUP

  Hangup Method ID

### SENDDTMF

    public static final int SENDDTMF

  SendDTMF Method ID

### ALIVEQUERY

    public static final int ALIVEQUERY

  Alive Method ID

### INVITE

    public static final int INVITE

  Invite Packet

### RESULT

    public static final int RESULT

  Result Packet

### CONFIRM

    public static final int CONFIRM

  Confirm Packet

### ACCEPT

    public static final int ACCEPT

  Call accepted

### REJECT

    public static final int REJECT

  Call rejected

### BUSY

    public static final int BUSY

  User busy

### CONFIRMED

    public static final int CONFIRMED

  Request confirmed (isAlive == true)

### TIMEOUT

    public static final int TIMEOUT

  Peer not responding, timeout

### INCOMPATIBLE

    public static final int INCOMPATIBLE

  Peer not compatible

### INVALID

    public static final int INVALID

  Peer not valid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD